<?PHP
$_OPTIMIZATION["title"] = "Аккаунт - Бонус 24 часа";
$usid = $_SESSION["user_id"];
$uname = $_SESSION["user"];

# Настройки бонусов
$bonus_min = 50;
$bonus_max = 150;

?>

<div class="cl-right"><style>
.menuinsert {
    border: 1px solid #8DCCFF;  box-shadow: 1px 1px 3px 0px black;
 
    background: #E0F1FF;
}

.menuinsertssd {
border: 1px solid #8DCCFF;
box-shadow: 1px 1px 3px 0px black;

background: #E0F1FF;
}

.cur_list img {
width: 65px;
}

.devis {
border: 1px solid #7EA0BB;
box-shadow: 1px 1px 3px 0px black;
padding: 3px 0px 0px 0px;
background: #A5BBD1;
}

.ssilkanainseti a {
display: block;
text-decoration: none;
background: #56B017;
text-align: center;
margin: 5px 0px 0px 0px;
padding: 10px 2px 10px 2px;
border-radius: 2px;
color: rgb(255, 255, 255);
-webkit-transition: background 0.3s ease-in;
transition: background 0.3s ease-in;
-moz-transition: background 0.3s ease-in;
-o-transition: background 0.3s ease-in;
font-size: 14pt;
font-weight: bolder;
}

.ssilkanainseti a:hover {
transition: background 0.3s ease-in;
background: #C3F89E;
color: #56B017;
}
</style>
<div class="s-bk-lf">
	<div class="acc-title">Бонусная система</div>
</div>
<div class="silver-bk">



<table border="0" width="100%">
	<tr>
		<td valign="top">
			<table border="0" width="100%" cellspacing="5" cellpadding="5">
	<tbody>
	
	<tr>
		<td align="center" style="font-size: 14px;">
		<span style="font-size: 18px;color:#178DDB;"><b>Ежедневный</b></span><br>
		Бонус выдается 1 раз каждые 24 часа.<br />
Сумма бонуса генерируется случайно от <font color="green"><b>50</b></font> до <font color="green"><b>150</b></font> монет. </td>
	</tr>
	
	<tr>
	<td align="center">
	<div style="display: block;width: 100%;position: relative;margin: 0px auto 0px auto;height: 1px;background: rgb(141, 204, 255);border-radius: 1px;box-shadow: 0px 0px 2px 0px black;"></div>
	</td>
	</tr>

	<tr>
	<td align="center">
	<?PHP
$ddel = time() + 60*60*24;
$dadd = time();
$db->Query("SELECT COUNT(*) FROM db_bonus_list2 WHERE user_id = '$usid' AND date_del > '$dadd'");

$hide_form = false;

	if($db->FetchRow() == 0){
	
		# Выдача бонуса
		if(isset($_POST["bonus"])){
		
			$sum = rand($bonus_min, rand($bonus_min, $bonus_max) );
			
			# Зачилсяем юзверю
			$db->Query("UPDATE db_users_b SET money_b = money_b + '$sum' WHERE id = '$usid'");
			
			# Вносим запись в список бонусов
			
			
			$db->Query("INSERT INTO db_bonus_list2 (user, user_id, sum, date_add, date_del) VALUES ('$uname','$usid','$sum','$dadd','$ddel')");
			
			# Случайная очистка устаревших записей
			$db->Query("DELETE FROM db_bonus_list2 WHERE date_del < '$dadd'");
			
			echo "<center><font color = 'green'><b>На Ваш счет для покупок зачислен бонус в размере {$sum} монет!</b></font></center><BR />";
			
			$hide_form = true;
			
		}
			
			# Показывать или нет форму
			if(!$hide_form){
?>

	<tr>
	<td align="center" valign="top">
	<div class="ssilkanainseti">
	<form action="" method="post">
<br />
<input type="submit" name="bonus" value="Получить">

</form>
      <?PHP 

			}

	}else 
	{
$db->Query("SELECT * FROM db_bonus_list2 WHERE user_id = '$usid' order by ID DESC limit 1");
$u_data = $db->FetchArray();
$time = $u_data['date_del'] - $dadd;
$hours = floor($time/3600);
floor($minutes =($time/3600 - $hours)*60);
$seconds = ceil(($minutes - floor($minutes))*60);
$min=ceil($minutes)-1;

//echo $data['sec'] - time().' сек.';
//echo "<b>$hours:$min:$seconds</font></b>";

echo json_encode($hours);echo ' ч.  ';echo json_encode($min);echo ' мин.  '; echo json_encode($seconds);echo ' сек.  ';
echo '</font></b></b></font></center></div><BR />';

}
?>  
  <script>setInterval(function(){
$("#bonus").load("# #bonus"); }, 1000); </script>
	</div>
	</td>
	</tr>

</tbody></table>

		</td>
	
		<td valign="top">
		
<table border="0" width="100%" cellspacing="5" cellpadding="5">
	<tbody>
	<?PHP
$_OPTIMIZATION["title"] = "Аккаунт - Бонус 60 мин";
$usid = $_SESSION["user_id"];
$uname = $_SESSION["user"];

# Настройки бонусов
$bonus_min = 10;
$bonus_max = 35;

?>
	<tr>
		<td align="center" style="font-size: 14px;">
		<span style="font-size: 18px;color:#178DDB;"><b>Каждый час</b></span><br>
		Бонус выдается 1 раз каждые 60 минут.<br />
Сумма бонуса генерируется случайно от <font color="green"><b>10</b></font> до <font color="green"><b>35</b></font> монет. </td>
	</tr>
	
	<tr>
	<td align="center">
	<div style="display: block;width: 100%;position: relative;margin: 0px auto 0px auto;height: 1px;background: rgb(141, 204, 255);border-radius: 1px;box-shadow: 0px 0px 2px 0px black;"></div>
	</td>
	</tr>

	<tr>
	<td align="center">
	<?PHP
$ddel = time() + 60*60;
$dadd = time();
$db->Query("SELECT COUNT(*) FROM db_bonus_list WHERE user_id = '$usid' AND date_del > '$dadd'");

$hide_form = false;

	if($db->FetchRow() == 0){
	
		# Выдача бонуса
		if(isset($_POST["bonus_2"])){
		
			$sum = rand($bonus_min, rand($bonus_min, $bonus_max) );
			
			# Зачилсяем юзверю
			$db->Query("UPDATE db_users_b SET money_b = money_b + '$sum' WHERE id = '$usid'");
			
			# Вносим запись в список бонусов
			
			
			$db->Query("INSERT INTO db_bonus_list (user, user_id, sum, date_add, date_del) VALUES ('$uname','$usid','$sum','$dadd','$ddel')");
			
			# Случайная очистка устаревших записей
			$db->Query("DELETE FROM db_bonus_list WHERE date_del < '$dadd'");
			
			echo "<center><font color = 'green'><b>На Ваш счет для покупок зачислен бонус в размере {$sum} монет!</b></font></center><BR />";
			
			$hide_form = true;
			
		}
			
			# Показывать или нет форму
			if(!$hide_form){
?>

	<tr>
	<td align="center" valign="top">
	<div class="ssilkanainseti">
	<form action="" method="post">
<br />
<input type="submit" name="bonus_2" value="Получить">

</form>
        <?PHP 

			}

	}else 
	{
$db->Query("SELECT * FROM db_bonus_list WHERE user_id = '$usid' order by ID DESC limit 1");
$u_data = $db->FetchArray();
$time = $u_data['date_del'] - $dadd;
$hours = floor($time/3600);
floor($minutes =($time/3600 - $hours)*60);
$seconds = ceil(($minutes - floor($minutes))*60);
$min=ceil($minutes)-1;

//echo $data['sec'] - time().' сек.';
//echo "<b>$hours:$min:$seconds</font></b>";

echo json_encode($hours);echo ' ч.  ';echo json_encode($min);echo ' мин.  '; echo json_encode($seconds);echo ' сек.  ';
echo '</font></b></b></font></center></div><BR />';

}
?>
	</div>
	</td>
	</tr>

</tbody></table>
		</td>
	
		<td valign="top">
			<table border="0" width="100%" cellspacing="5" cellpadding="5">
	<tbody>
	<?PHP
$_OPTIMIZATION["title"] = "Аккаунт - Бонус 10 мин";
$usid = $_SESSION["user_id"];
$uname = $_SESSION["user"];

# Настройки бонусов
$bonus_min = 5;
$bonus_max = 15;

?>
	<tr>
		<td align="center" style="font-size: 14px;">
		<span style="font-size: 18px;color:#178DDB;"><b>Каждые 10 мин</b></span><br>
		Бонус выдается 1 раз каждые 10 минут.<br />
Сумма бонуса генерируется случайно от <font color="green"><b>5</b></font> до <font color="green"><b>15</b></font> монет. </td>
	</tr>
	
	<tr>
	<td align="center">
	<div style="display: block;width: 100%;position: relative;margin: 0px auto 0px auto;height: 1px;background: rgb(141, 204, 255);border-radius: 1px;box-shadow: 0px 0px 2px 0px black;"></div>
	</td>
	</tr>

	<tr>
	<td align="center" valign="top">
	<?PHP
$ddel = time() + 60*10;
$dadd = time();
$db->Query("SELECT COUNT(*) FROM db_bonus_list3 WHERE user_id = '$usid' AND date_del > '$dadd'");

$hide_form = false;

	if($db->FetchRow() == 0){
	
	
	
	
	
	
	
	
	
	
	
	
	
		# Выдача бонуса
		if(isset($_POST["bonus_3"])){
		
			$sum = rand($bonus_min, rand($bonus_min, $bonus_max) );
			
			# Зачилсяем юзверю
			$db->Query("UPDATE db_users_b SET money_b = money_b + '$sum' WHERE id = '$usid'");
			
			# Вносим запись в список бонусов
			
			
			$db->Query("INSERT INTO db_bonus_list3 (user, user_id, sum, date_add, date_del) VALUES ('$uname','$usid','$sum','$dadd','$ddel')");
			
			# Случайная очистка устаревших записей
			$db->Query("DELETE FROM db_bonus_list3 WHERE date_del < '$dadd'");
			
			echo "<center><font color = 'green'><b>На Ваш счет для покупок зачислен бонус в размере {$sum}  монет</b></font></center><BR />";
			
			$hide_form = true;
			
		}
			
			# Показывать или нет форму
			if(!$hide_form){
?>

	<tr>
	<td align="center" valign="top">
	<div class="ssilkanainseti">
	<form action="" method="post">
<br />
<input type="submit" name="bonus_3" value="Получить">

</form>
  <?PHP 

			}

	}else 
	{
$db->Query("SELECT * FROM db_bonus_list3 WHERE user_id = '$usid' order by ID DESC limit 1");
$u_data = $db->FetchArray();
$time = $u_data['date_del'] - $dadd;
$hours = floor($time/600);
floor($minutes =($time/600 - $hours)*10);
$seconds = ceil(($minutes - floor($minutes))*10);
$min=ceil($minutes)-1;

//echo $data['sec'] - time().' сек.';
//echo "<b>$hours:$min:$seconds</font></b>";
echo json_encode($hours);echo ' ч.  ';echo json_encode($min);echo ' мин.  '; echo json_encode($seconds);echo ' сек.  ';
echo '</font></b></b></font></center></div><BR />';

}
?>
	</div>
	</td>
	</tr>

</tbody></table>
		</td>
	</tr>
</table>
<br>
<table border="0" width="100%">
	<tr>
		<td valign="top">
				<table cellpadding='3' cellspacing='0' border='0' bordercolor='#336633' align='center' width="99%">
  
  <tr>
  
    <td align="center" class="m-tb">Пользователь</td>
	<td align="center" class="m-tb">Сумма</td>
	
  </tr>
  		<?PHP
  
  $db->Query("SELECT * FROM db_bonus_list2 ORDER BY id DESC LIMIT 20");
  
	if($db->NumRows() > 0){
  
  		while($bon = $db->FetchArray()){
		
		?>
		<tr class="htt">
    		
    		<td align="center"><?=$bon["user"]; ?></td>
    		<td align="center"><?=$bon["sum"]; ?></td>
			
  		</tr>
		<?PHP
		
		}
  
	}else echo '<tr><td align="center" colspan="5">Нет записей</td></tr>'
  ?>
		
  
</table>

		</td>
	
		<td valign="top">
		
	<table cellpadding='3' cellspacing='0' border='0' bordercolor='#336633' align='center' width="99%">
  
  <tr>
  
    <td align="center" class="m-tb">Пользователь</td>
	<td align="center" class="m-tb">Сумма</td>
	
  </tr>
  		<?PHP
  
  $db->Query("SELECT * FROM db_bonus_list ORDER BY id DESC LIMIT 20");
  
	if($db->NumRows() > 0){
  
  		while($bon = $db->FetchArray()){
		
		?>
		<tr class="htt">
    		
    		<td align="center"><?=$bon["user"]; ?></td>
    		<td align="center"><?=$bon["sum"]; ?></td>
		
  		</tr>
		<?PHP
		
		}
  
	}else echo '<tr><td align="center" colspan="5">Нет записей</td></tr>'
  ?>
		
  
</table>
		</td>
	
		<td valign="top">
			<table cellpadding='3' cellspacing='0' border='0' bordercolor='#336633' align='center' width="99%">
  
  <tr>
  
    <td align="center" class="m-tb">Пользователь</td>
	<td align="center" class="m-tb">Сумма</td>
	
  </tr>
  			<?PHP
  
  $db->Query("SELECT * FROM db_bonus_list3 ORDER BY id DESC LIMIT 20");
  
	if($db->NumRows() > 0){
  
  		while($bon = $db->FetchArray()){
		
		?>
		<tr class="htt">
    		
    		<td align="center"><?=$bon["user"]; ?></td>
    		<td align="center"><?=$bon["sum"]; ?></td>
			
  		</tr>
		<?PHP
		
		}
  
	}else echo '<tr><td align="center" colspan="5">Нет записей</td></tr>'
  ?>
		
  
</table>
		</td>
	</tr>
</table>

<div class="clr"></div>		
</div>

							<div class="clr"></div>	
							<br>
							<br>
							</div>
						<div class="clr"></div>
						
						<style>
						
.logo12 {
    background-image: url('/img/logo12.jpg');
    color: #5d3d1d;
    margin: 10px 0px 0px -10px;
    opacity: 0.9;
    height: 202px;
    background-size: 105%;
}
					</style>